
From: Eric Dumazet <dada1@cosmosbay.com>

struct file cleanup: f_maxcount has an unique value (INT_MAX).  Just use
the hard-wired value.

Signed-off-by: Eric Dumazet <dada1@cosmosbay.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/file_table.c    |    1 -
 fs/read_write.c    |    2 +-
 include/linux/fs.h |    1 -
 3 files changed, 1 insertion(+), 3 deletions(-)

diff -puN fs/file_table.c~remove-filef_maxcount fs/file_table.c
--- devel/fs/file_table.c~remove-filef_maxcount	2005-08-21 23:48:37.000000000 -0700
+++ devel-akpm/fs/file_table.c	2005-08-21 23:48:37.000000000 -0700
@@ -89,7 +89,6 @@ struct file *get_empty_filp(void)
 	rwlock_init(&f->f_owner.lock);
 	/* f->f_version: 0 */
 	INIT_LIST_HEAD(&f->f_list);
-	f->f_maxcount = INT_MAX;
 	return f;
 
 over:
diff -puN fs/read_write.c~remove-filef_maxcount fs/read_write.c
--- devel/fs/read_write.c~remove-filef_maxcount	2005-08-21 23:48:37.000000000 -0700
+++ devel-akpm/fs/read_write.c	2005-08-21 23:48:37.000000000 -0700
@@ -188,7 +188,7 @@ int rw_verify_area(int read_write, struc
 	struct inode *inode;
 	loff_t pos;
 
-	if (unlikely(count > file->f_maxcount))
+	if (unlikely(count > INT_MAX))
 		goto Einval;
 	pos = *ppos;
 	if (unlikely((pos < 0) || (loff_t) (pos + count) < 0))
diff -puN include/linux/fs.h~remove-filef_maxcount include/linux/fs.h
--- devel/include/linux/fs.h~remove-filef_maxcount	2005-08-21 23:48:37.000000000 -0700
+++ devel-akpm/include/linux/fs.h	2005-08-21 23:48:37.000000000 -0700
@@ -594,7 +594,6 @@ struct file {
 	unsigned int		f_uid, f_gid;
 	struct file_ra_state	f_ra;
 
-	size_t			f_maxcount;
 	unsigned long		f_version;
 	void			*f_security;
 
_
